
%global meadversion 1.2.2
%global namedversion 1.2.2.redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package glassfish-jaf}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.2.2.redhat-00002

Name:           %{?scl_prefix}glassfish-jaf
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        javax.activation API v.1.2
Group:          Development/Java

%if %with mead
Source100: all-1.2.2.redhat-00002-project-sources.tar.gz
Source102: all-1.2.2.redhat-00002.pom
Source103: jakarta.activation-1.2.2.redhat-00002.jar
Source104: jakarta.activation-api-1.2.2.redhat-00002.pom
Source105: jakarta.activation-api-1.2.2.redhat-00002.jar
Source106: jakarta.activation-1.2.2.redhat-00002-sources.jar
Source107: demo-1.2.2.redhat-00002.pom
Source108: demo-1.2.2.redhat-00002-sources.jar
Source109: jakarta.activation-api-1.2.2.redhat-00002-sources.jar
Source110: jakarta.activation-1.2.2.redhat-00002.pom
%endif

License:        BSD
URL:            https://github.com/eclipse-ee4j/jaf
Provides:       %{?scl_prefix}activation = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JavaBeans Activation Framework distribution.

%if %with javadoc
%package javadoc
Summary:        Javadoc for activation
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -c -n glassfish-jaf-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.activation-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.activation-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.activation-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.activation-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.activation-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.activation-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta.activation-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.activation-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.activation-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta.activation-%{namedversion} %{buildroot}%{_javadocdir}/jakarta.activation
%endif

# docs
%{__mkdir_p} %{buildroot}/%{_docdir}/%{pkg_name}
#%{_builddir}/ is difference on el7 and el8 while "%setup -c"
%{__cp} -p $(find %{_builddir}/ -name README.md -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name LICENSE.md -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name NOTICE.md -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name CONTRIBUTING.md -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{pkg_name}
%{_javadir}/jakarta.activation-%{namedversion}.jar
%{_javadir}/jakarta.activation.jar
%if %with javadoc
%{_javadir}/jakarta.activation-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.activation-javadoc.jar
%endif
%{_javadir}/jakarta.activation-%{namedversion}-sources.jar
%{_javadir}/jakarta.activation-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta.activation-%{namedversion}
%{_javadocdir}/jakarta.activation
%endif

%changelog
* Thu Jun 15 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.2.2-2.redhat_00002.1
- Built by CPaaS

* Fri Jan 08 2021 Yong Yang <yyang@redhat.com> - 1.2.2-1.redhat_00001.1
- 1.2.2.redhat-00001

* Mon Oct 14 2019 Yong Yang <yyang@redhat.com> - 1.2.1-1.redhat_00002.1
- RPM wrapper build 1.2.1.redhat-00002

* Fri Jul 06 2018 Yong Yang <yyang@redhat.com> - 1.1.1-22.redhat_5.1
- Rewrap for 7.2.0

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.1.1-21.redhat_5.1
- Fix license (JBEAP-13468)

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.1.1-20.redhat_5.1
- Fix license (JBEAP-13468)

* Tue Oct 17 2017 Permaine Cheung <pcheung@redhat.com> - 1.1.1-19.redhat_5.1
- Fix license (JBEAP-13468)

* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 1.1.1-18.redhat_5.1
- build RPMS

* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 1.1.1-18.redhat_5.1
- release

